/**
 * 将分钟数转换为 “xx天yy小时zz分钟” 格式字符串
 * @param minutes 要转换的分钟数
 * @returns 格式例如："1天2小时30分钟"
 */
export declare function minutesToDayHourMinute(minutes: number): string;
/**
 * 将毫秒数转换为 “xx天yy小时zz分钟aa秒” 格式字符串
 * @param milliseconds 要转换的毫秒数
 * @returns 格式例如："1天2小时30分钟10秒"
 */
export declare function millisecondsToDayHourMinuteSecond(milliseconds: number): string;
/**
 * 计算两个时间字符串之间相差的天数
 * 输入格式：'YYYY-MM-DD HH:mm'
 * 如果结果为整数则返回整数，例如 2
 * 如果有小数则保留两位小数，例如 1.25 -> 1.25
 * 返回类型：number（若输入无效则返回 0）
 */
export declare function daysBetween(start: string | undefined, end: string | undefined): number;
export declare function isEmpty(val: any): boolean;
export declare function isArray(val: any): any;
export declare function is(val: unknown, type: string): boolean;
export declare function isString(val: unknown): boolean;
export declare function isObject(val: any): boolean;
